/* TransitNow styling ================================================*/

/* tags --------------------------------------------------------------*/
.button {
	font-size: 1em; /* buttons will be larger than in common.css */
}

/* main elements -----------------------------------------------------*/
#contentBg {
}

#pageBody {
	background: #ffffff;
	font-size: 0.750em;
	padding: 20px 0px 10px 0px;
}

#centreContent h3 {
	font-size: 1.500em;
	font-style: italic;
	font-weight: bold;
}

#centreContent h4 {
	font-size: 1.250em;
	font-style: italic;
	font-weight: bold;
}

/* sidebar -----------------------------------------------------------*/
.sidebar {
	word-wrap: break-word;
	float: left;
	width: 172px;
}

.sidebarItem {
	border-width: 1px;
}

.sidebarGap {
	height: 20px;
}

.sidebarItemHeader {
	font-size: 1.250em;
	font-style: italic;
	font-weight: bold;
	line-height: 30px;
	margin: 0px;
	padding-left: 10px; /* text indent */
}

.sidebarItemFooter {
	margin: 0px;
	padding: 0px;
	height: 12px;
}

/* sidebar arrows for collapsing */
.sidebarArrow {
	float: right;
	margin-top: 7px;
	margin-right: 6px;
}

/* admin console image */
#adminSidebarImage {
	background: #faf8cc;
	color: #4f811f;
	font-size: 2em;
	margin-bottom: 10px;
	height: 64px;
}

/* service advisories and elevator status panels - - - - - - - - - - -*/
.sidebarRowCentred { /* when there are no remarks */
	padding: 10px 10px;
}

.sidebarRowTop {
	padding: 5px 2px 0px 10px;
}
.sidebarRowBottom {
	padding: 0px 2px 5px 10px;
	border-bottom: 1px dotted #999999;
}

.sidebarAlertTitle {
	color: #32a432;
}

.sidebarAlertDate {
	font-size: 0.833em;
	color: #999999;
}

/* survey panel - - - - - - - - - - - - - - - - - - - - - - - - - - - */
.surveyItem {
	border-bottom: 1px dotted #999999;
	padding: 3px 7px 3px 7px;
}

.surveyBarWrapper {
	float: left;
	padding-top: 4px;
	width: 115px;
}

.surveyBar {
	background-color: #4b6b48;
	/* width is set dynamically based on the vote count */	
	height: 10px;
}

.surveyVoteCount {
	float: right;
	width: 35px;
}

/* user info panel - - - - - - - - - - - - - - - - - - - - - - - - - -*/
#userInfoList{
	margin: 3px 0px 0px;
	padding: 0px;
}

#userInfobuttons {
	text-align: center;
}

.userInfoHeader{
	font-weight: bold;	
	padding: 5px 0px 5px 10px;
}

.userInfoValue{
	display: block;
	border-bottom: 1px dotted #999999;
	padding: 0px 10px 5px 10px;
}

/* navigation panel - - - - - - - - - - - - - - - - - - - - - - - - - */
.navigationPanel {
	margin: 0px;
	padding: 0px;
}

/* links in the left navigation bar */
.navigationPanel a {
	color: #4b6b48; /* darker than normal link-colour */
	display: block;
	font-weight: bold;
	text-decoration: none;
	border-bottom: 1px dotted #999999;
	padding: 5px 0px 5px 10px;
}

.navigationPanel a:hover, .navigationPanel li:hover {
	background-color: #faf8cc;
	color: #000000;
}

/* departure panel - - - - - - - - - - - - - - - - - - - - - - - - - -*/
#departurePanel {
}

#departureTableHeader {
	text-align: left;
	border-collapse: collapse;
	border-bottom: 1px solid #cbceab;
	padding: 3px 10px;
	width: 170px;
}

#departureTableHeader td {
	padding: 3px 10px;
}
	
#departureTable {
	text-align: left;
	border-collapse: collapse;
	width: 170px;
}

.departureButtons {
	text-align: center;
	padding: 5px 0px;
}

#departureBoardHeader {
	color: #4b6b48;
}

.cancelled-trip
{ 
	text-decoration: line-through;
	color: #999999;
}

.note-sign
{
	font-size: 0.9em; 
	vertical-align: top;
	font-weight: bold;
}

.service-adjustment-footnote
{
}

#currentBusTbl {
	width: 100%
}

#map_wrapper {
	zoom: 1;
	position: relative;
}

#map_canvas img {
	margin: 0px;
} 

/* twitter panel - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
.sidebarItemBody .twitter-timeline {
	min-width: 120px !important;
	width: 160px !important;
	padding: 0 10px;
	margin-bottom: -2px;
}

.twtr-ft, .twtr-hd {
    display: none;
}

.twtr-widget h3, .twtr-widget h4, .twtr-widget p {
    line-height: 1.2 !important;
    margin: 0 !important;
    padding: 0 !important;
    width: auto !important;
	font-family: "lucida grande",lucida,tahoma,helvetica,arial,sans-serif !important;
	font-size: 12px !important;
}

/* centre content ----------------------------------------------------*/
#centreContent {
	border-width: 1px;
	float: left;
	line-height: 16px;
	width: 536px;
}

/* the footer and header rules are also used by modal windows*/
.contentHeader {
	font-size: 1.833em;
	font-style: italic;
	font-weight: bold;
	line-height: 48px;
	text-align: left;
	margin: 0px;
	padding-left: 10px; /* text indent */
}

.contentFooter {
	height: 24px;
}

/* user messages and warning pop-up window ---------------------------*/
.modalWindowOverlay {
	background-color: rgba(64,64,64, 0.75);  /* opacity */ 
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#BF404040, endColorstr=#BF404040);  /* opacity for IE */ 
	position: fixed;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	z-index: 1000;
}

/* eliminates the scrollbar when a modal window is opened*/
.modalOpen {
	overflow-x: hidden;
}

.modalWindow {
	overflow: auto;
	margin: 101px auto;
	width: 539px;
	z-index: 1001;
}

.modalWindowBody {
	border: 1px solid #cbceab;
	background-color: #FFFFFF;
	padding: 15px;
}

/* user messages window ----------------------------------------------*/

#user_message_list {
	border: 1px solid #cbceab;
	width: 100%;
}

#user_message_list td {
	font-size: 0.917em;
	border: 1px solid #cbceab;
	padding: 2px;
}

/* warning message window --------------------------------------------*/
#warningWindowTextOverlay {
	background-color: rgba(64,64,64, 0.75);  /* opacity */ 
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#BF404040, endColorstr=#BF404040);  /* opacity for IE */ 
	position: fixed;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	z-index: 1000;
}

/* text area for message */
#warnMsg {
	margin: 0px 0px 0px 15px;
	line-height: 21px;
}

.warningList{
	list-style-type: disc;
}

/* TODO: change name of class row to something more descriptive */
/* for a row of floating divs, like in the iTransitNowViewAlerts screen */
.floatingRow label {
	font-weight: bold;
}

.floatingRow div {
	float: left;
	margin-right: 15px;
}

.floatingRow {
	clear: left;
	margin-bottom: 10px;
	overflow: auto; /* Forces the row's height to expand around the floating divs */
}

.floatingRow div label {
	padding-left: 2px;
}

/* tabbed layout styles ----------------------------------------------*/
.tab_items li a {
	color: #000000 !important;
	cursor: pointer;
	text-decoration: none !important;
}

.tab_items li {
	background-color : #f0f0ee;
	display: inline;
	margin: 0px 2px 0px 0px;
	border: 1px solid #111111;
	border-bottom: none;
	padding: 5px;
	height: 15px;
}

.tab_items li:hover {
	background-color: #ffffff !important;
}

.tab_items ul {
	padding: 0px;
	margin: 0px;
}

.tab_item_highlighted {
	background-color: #ffffff !important;
	padding-bottom: 6px !important;
}

.tab_items {
	height: 20px;
}

.tab_contents {
	border: 1px solid #111111;
	padding: 5px;
}

/* alert categories tree ---------------------------------------------*/

/* for the tree layout and structure -     -     -     -     -     -  */
/* Control how "spaced out" the tree is */
ul.mktree, ul.mktree li {
	padding-left: 0px;
}
ul.mktree, ul.mktree ul, ul.mktree li {
	margin-bottom: 6px;
	margin-left: 0px;
}

/* Provide space for our own "bullet" inside the LI */
ul.mktree li .bullet {
	float: left;
	padding-left: 13px;
}

/* Show "bullets" in the links, depending on the class of the LI that the link's in */
ul.mktree .bullet {
	cursor: pointer; 
	list-style: none;
}

ul.mktree li.liOpen .bullet {
	background: url(../images/minus.gif) center left no-repeat;
	cursor: pointer;
	list-style-image: none;
}

ul.mktree li.liClosed .bullet {
	background: url(../images/plus.gif) center left no-repeat;
	cursor: pointer;
	list-style-image: none;
}

ul.mktree li.liBullet .bullet {
	background: none;
	cursor: default;
	list-style: none;
	list-style-image: none;
}

/* Sublists are visible or not based on class of parent LI */
ul.mktree li.liOpen ul {
	display: block; 
}

ul.mktree li.liClosed ul {
	display: none;
}

/* for the items -     -     -     -     -     -    -    -    -    -  */
.alertCategoryInput{
	margin-top: 0px;
}

.alertItem label {
	width: 460px;
}

.alertItem input {	
	margin-top: 2px;
	margin-left: 18px;
	height: 15px;	
}

.alertItemAdmin label {
	width: 460px;
}

.alertItemAdmin input {	
	margin-top: 2px;
	margin-left: -27px;
	/* Had to use this hack so that the following line is only IE7 readable */
	*margin-left: 18px;	
	height: 15px;
}

/* other rules -------------------------------------------------------*/
.alignedInputBlock label {
	display: inline-block;
	padding-top: 4px;
    width: 127px;
}

/* for when a user's delivery options are listed, as on the Manage Users page */
.alertType label {
	margin-top: 2px;
	margin-left: 25px;
}
.alertType input{
	margin-top: 2px;
	margin-left: 9px;
	height: 15px;
}

.alertType {
	margin-top: 3px;
}

#weekTemplate input {
	margin-left: 10px;
}

#weekTemplate {
	display: inline-block;
	padding-top: 3px;
}

/* route status page -------------------------------------------------*/
.mainInfoCell {
	border: 1px solid #838181;
	height: 48px;
	cursor: pointer;
}

.mainInfoCell:hover {
	background-color: #faf8cc;
}

.moreInfo {
	display: block;  
	border-width: 0px 1px 1px 1px;
	padding-top: 0pt; 
	min-height: 48px;
}

/* selected row */
.active.mainInfoCell {
	background-color: #4f811f;
	color: #ffffff;
}

.active.mainInfoCell:hover {
	background-color: #9eb76f;
	color: #000000;
}

/* registration page -------------------------------------------------*/
#registerTransitNow label {	  
	width: 115px;
}

/* home pages (user and admin) ---------------------------------------*/
.homePageItem{
	display: inline-block;
	/*float: left;*/
	text-align: center;
	vertical-align: middle;
	height: 140px;
}

.homePageIcon img {
	-ms-interpolation-mode: bicubic; /* fix for image resizing in IE7 */
	margin-bottom: 15px;
	border: none; /* for IE */
	width: 66px;
	height: 66px;
}

.homePageIcon:hover img {
	margin-top: -5px;
	height: 77px;
	width: 77px;
}

/* elevator status page ----------------------------------------------*/
.alert {
	border: 1px dotted #999999;
	border-top: none;
	padding-left: 20px;
	padding: 10px;
}

/* send alerts page --------------------------------------------------*/
#manualAlertStatistics {
	width: 300px;
}

#manualAlertStatistics li {
	line-height: 25px;
}

/* help page */
#helpContent {
	height: 500px;
	padding: 5px;
	overflow:auto;
}
		
/* end of TransitNow styling =========================================*/
/*====================================================================*/
/* rules being worked on*/

/* container to allow the news items to be scrolled through */
.scroll_container {
	overflow: auto;
	min-height: 50px;
	max-height: 140px;
}

/*====================================================================*/
/* original rules ====================================================*/

/* styles used for the TransitNOW pages */

/* styles to allow labels & inputs to be aligned in a tabbed format*/
.align_tab_label {
	float: left;	
	text-align: left;
	padding-top: 2px;
}

.align_tab_input {
	float: left;	
	text-align: left;
	margin-left: 5px;
}

.align_tab_label_large {
	float: left;	
	text-align: left;
	padding-top: 2px;
}

.align_tab_input_large {
	float: left;	
	text-align: left;
	margin-left: 5px;
}

.message_content_options input {
	margin-right: 5px;
}

#survey {
	/* survey submission form */
	padding: 10px 0px 0px 5px;
	margin: 0px;
}

#survey input {
	margin: 5px;
}

.manage_user_section_title{
	margin:2px;
}

#honeypotMain{
	display: none;
}

.phone-number-entry
 {
	vertical-align: top;
}

.failure {
	font-size: small; 
	font-family: Arial,Helvetica,sans-serif;
}

.RemarkMessage {
	width: 99%;
	max-width: 99%;
	height: 100px
}

.RemarkRadioButton {
	padding-right: 10px;
}

#pickDates {
	width: 75%;
}

#pickDates div img { 
	/* Centres the calendar icon in the line */
	vertical-align: middle;
}

.dateLabel {
	width: 10%;
	float: left;
	margin-top: 5px;
}

.StopLabel {
	width: 21%;
	float: left;
	margin-top: 5px;
}

.breakWordWrap div {
	
	max-width: 90%;
	overflow-x: auto;
}

.remark-info-name {
	float: left;
	width: 30%;
	max-width: 30%;
}

.remark-info-value {
	width: 70%;
	max-width: 60%;
	word-wrap: break-word;
	float: left;
	padding-left: 5px;
}

.remark-info-row {
	clear: both;
	margin-bottom: 8px;
}

#SearchForStopInput ,
#StopInput {
	width: 75%;
}

#NearbyStopsSelection {
	margin: 3px 2px;
	min-width: 20%;
}

#SearchSubscriptionOption {
	max-width: 40%;
}

#SubOptionOuterDiv {
	overflow: hidden;
}

#AlertMessageBody {
	max-width:	99%;
}

#AlertMessageBody div{
	width:	auto !important;
}